## xdrawchem 1.0

=== Makefile ===
# XDrawChem configuration stuff
# INSTDIR: The directory where the binary will go.  Should be in your path.
#          The default is /usr/local/bin
# INSTRING: The directory where you will store ring templates.
# Default should be /usr/local/lib/xdrawchem
# SERVER: database server.  OK to set to "herger.ibb.gatech.edu";
#         as of version 0.98, there are no other servers  :)

INSTDIR = /usr/local/bin
INSTRING = /usr/local/lib/xdrawchem
xdc_server = herger.ibb.gatech.edu

## Platform-specific flags -- uncomment appropriate section
## For Linux, SGI IRIX 6.5 using gcc/g++
CXX	=	g++
INCPATH =	-I/usr/include -I$(QTDIR)/include
LIBS	=	-lqt -lXext -lX11 -lm
MOC	=	$(QTDIR)/bin/moc

## for Sun
#CXX	=	CC
#INCPATH =	-I/usr/include -I$(QTDIR)/include
#LIBS	=	-lqt -lXext -lX11 -lm
#MOC	=	$(QTDIR)/bin/moc

## For FreeBSD and NetBSD
#CXX	=	g++
#INCPATH =       -I/usr/include -I/usr/X11R6/include/qt2
#LIBS    =       -lqt2 -lXext -lX11 -lm
#MOC     =       $(QTDIR)/bin/moc2

## end of platform-specific flags

## other compiler flags
CXXFLAGS = -g -DUNIX -DRINGHOME=\"${INSTRING}\" -DXDC_SERVER=\"${xdc_server}\"
CC	=	gcc
#CFLAGS	=	-DRINGHOME=$(RINGDIR) -DXDC_SERVER=$(SERVER)
LFLAGS	=	-L$(QTDIR)/lib -L/usr/lib -L/usr/X11R6/lib


####### Target

DESTDIR = ./
TARGET	= xdrawchem

####### Files

HEADERS =	application.h render2d.h chemdata.h drawable.h molecule.h \
	bond.h text.h arrow.h bracket.h manual.h cml.h ringdialog.h \
	fixeddialog.h symbol.h curvearrow.h graphdialog.h graphwidget.h \
	xml_reader.h cdxml_reader.h namer.h netdialog.h pagesetupdialog.h \
	netaccess.h netchoosedialog.h bondedit.h xdc_toolbutton.h \
	previewwidget.h http.h
SOURCES =	main.cpp application.cpp render2d.cpp render2d_event.cpp \
	chemdata.cpp render2d_draw.cpp drawable.cpp molecule.cpp bond.cpp \
	render2d_text.cpp text.cpp arrow.cpp bracket.cpp manual.cpp \
	render2d_select.cpp chemdata_rw.cpp chemdata_xml.cpp chemdata_mdl.cpp \
	chemdata_cml.cpp chemdata_xdc.cpp chemdata_edit.cpp ringdialog.cpp \
	chemdata_cdxml.cpp render2d_print.cpp fixeddialog.cpp symbol.cpp \
	chemdata_tools.cpp curvearrow.cpp molecule_tools.cpp graphdialog.cpp \
	graphwidget.cpp xml_reader.cpp cdxml_reader.cpp cdx2cdxml.cpp \
	namer.cpp molecule_smiles.cpp netdialog.cpp pagesetupdialog.cpp \
	netaccess.cpp netchoosedialog.cpp bondedit.cpp xdc_toolbutton.cpp \
	previewwidget.cpp chemdata_cdx.cpp
OBJECTS =	main.o application.o render2d.o render2d_event.o \
	chemdata.o render2d_draw.o drawable.o molecule.o bond.o \
	render2d_text.o text.o arrow.o bracket.o manual.o chemdata_rw.o \
	render2d_select.o chemdata_xml.o chemdata_mdl.o chemdata_cml.o \
	chemdata_xdc.o chemdata_edit.o ringdialog.o chemdata_cdxml.o \
	render2d_print.o fixeddialog.o symbol.o chemdata_tools.o \
	curvearrow.o molecule_tools.o graphdialog.o graphwidget.o \
	xml_reader.o cdxml_reader.o cdx2cdxml.o namer.o molecule_smiles.o \
	netdialog.o pagesetupdialog.o netaccess.o netchoosedialog.o \
	bondedit.o xdc_toolbutton.o previewwidget.o application_ring.o \
	smilesdialog.o chemdata_cdx.o
SRCMOC	=	moc_application.cpp moc_render2d.cpp moc_chemdata.cpp \
	moc_drawable.cpp moc_molecule.cpp moc_bond.cpp moc_text.cpp \
	moc_arrow.cpp moc_bracket.cpp moc_manual.cpp moc_ringdialog.cpp \
	moc_fixeddialog.cpp moc_symbol.cpp moc_curvearrow.cpp \
	moc_graphdialog.cpp moc_graphwidget.cpp moc_netdialog.cpp \
	moc_pagesetupdialog.cpp moc_netaccess.cpp moc_netchoosedialog.cpp \
	moc_bondedit.cpp moc_xdc_toolbutton.cpp moc_previewwidget.cpp \
	moc_smilesdialog.cpp moc_http.cpp
OBJMOC	=	moc_application.o moc_render2d.o moc_chemdata.o \
	moc_drawable.o moc_molecule.o moc_bond.o moc_text.o moc_arrow.o \
	moc_bracket.o moc_manual.o moc_ringdialog.o moc_fixeddialog.o \
	moc_symbol.o moc_curvearrow.o moc_graphdialog.o moc_graphwidget.o \
	moc_netdialog.o moc_pagesetupdialog.o moc_netaccess.o \
	moc_netchoosedialog.o moc_bondedit.o moc_xdc_toolbutton.o \
	moc_previewwidget.o moc_smilesdialog.o moc_http.o

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: $(DESTDIR)$(TARGET)

$(DESTDIR)$(TARGET): $(OBJECTS) $(OBJMOC) 
	$(CXX) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

install: all
	install -m 755 xdrawchem $(INSTDIR)
	install -d $(INSTRING)
	install -m 644 ring/* $(INSTRING)

tmake:
	tmake application.pro

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC)
	-rm -f *~ core $(TARGET)

####### Compile

main.o: main.cpp application.h

application.o: application.cpp \
		application.h

application_ring.o: application_ring.cpp application.h

namer.o: namer.cpp namer.h

manual.o: manual.cpp manual.h application.h

chemdata.o: chemdata.cpp chemdata.h cml.h

chemdata_edit.o: chemdata_edit.cpp chemdata.h cml.h

chemdata_rw.o: chemdata_rw.cpp chemdata.h cml.h

chemdata_xml.o: chemdata_xml.cpp chemdata.h cml.h

chemdata_cml.o: chemdata_cml.cpp chemdata.h cml.h

chemdata_mdl.o: chemdata_mdl.cpp chemdata.h cml.h

chemdata_xdc.o: chemdata_xdc.cpp chemdata.h cml.h

chemdata_cdx.o: chemdata_cdx.cpp chemdata.h

chemdata_cdxml.o: chemdata_cdxml.cpp chemdata.h cml.h

chemdata_tools.o: chemdata_tools.cpp chemdata.h cml.h

cdx2cdxml.o: cdx2cdxml.cpp chemdata.h

xml_reader.o: xml_reader.cpp xml_reader.h

cdxml_reader.o: cdxml_reader.cpp cdxml_reader.h

drawable.o: drawable.cpp drawable.h

molecule.o: molecule.cpp molecule.h moldata.h

molecule_tools.o: molecule_tools.cpp molecule.h moldata.h boshcp.h \
	molecule_sssr.h

molecule_smiles.o: molecule_smiles.cpp molecule.h dpoint.h bond.h sdg.h \
	ring.h setofrings.h sorf.h

bond.o: bond.cpp bond.h

text.o: text.cpp text.h

arrow.o: arrow.cpp arrow.h

curvearrow.o: curvearrow.cpp curvearrow.h

bracket.o: bracket.cpp bracket.h

symbol.o: symbol.cpp symbol.h

xdc_toolbutton.o: xdc_toolbutton.cpp xdc_toolbutton.h

ringdialog.o: ringdialog.cpp ringdialog.h

fixeddialog.o: fixeddialog.cpp fixeddialog.h

graphdialog.o: graphdialog.cpp graphdialog.h

netdialog.o: netdialog.cpp netdialog.h http.h

netaccess.o: netaccess.cpp netaccess.h http.h

netchoosedialog.o: netchoosedialog.cpp netchoosedialog.h

render2d.o: render2d.cpp render2d.h

render2d_event.o: render2d_event.cpp render2d.h

render2d_draw.o: render2d_draw.cpp render2d.h

render2d_text.o: render2d_text.cpp render2d.h

render2d_select.o: render2d_select.cpp render2d.h

render2d_print.o: render2d_print.cpp render2d.h

bondedit.o: bondedit.cpp bondedit.h previewwidget.h

previewwidget.o: previewwidget.cpp previewwidget.h

graphwidget.o: graphwidget.cpp graphwidget.h

smilesdialog.o: smilesdialog.cpp smilesdialog.h

moc_application.o: moc_application.cpp \
		application.h 

moc_application.cpp: application.h
	$(MOC) application.h -o moc_application.cpp

moc_render2d.o: moc_render2d.cpp \
		render2d.h 

moc_render2d.cpp: render2d.h
	$(MOC) render2d.h -o moc_render2d.cpp

moc_chemdata.o: moc_chemdata.cpp \
		chemdata.h 

moc_chemdata.cpp: chemdata.h
	$(MOC) chemdata.h -o moc_chemdata.cpp

moc_drawable.o: moc_drawable.cpp \
		drawable.h 

moc_drawable.cpp: drawable.h
	$(MOC) drawable.h -o moc_drawable.cpp

moc_molecule.o: moc_molecule.cpp \
		molecule.h 

moc_molecule.cpp: molecule.h
	$(MOC) molecule.h -o moc_molecule.cpp

moc_bond.o: moc_bond.cpp \
		bond.h 

moc_bond.cpp: bond.h
	$(MOC) bond.h -o moc_bond.cpp

moc_bondedit.o: moc_bondedit.cpp \
		bondedit.h 

moc_bondedit.cpp: bondedit.h
	$(MOC) bondedit.h -o moc_bondedit.cpp

moc_previewwidget.o: moc_previewwidget.cpp \
		previewwidget.h 

moc_previewwidget.cpp: previewwidget.h
	$(MOC) previewwidget.h -o moc_previewwidget.cpp

moc_text.o: moc_text.cpp \
		text.h 

moc_text.cpp: text.h
	$(MOC) text.h -o moc_text.cpp

moc_arrow.o: moc_arrow.cpp \
		arrow.h 

moc_arrow.cpp: arrow.h
	$(MOC) arrow.h -o moc_arrow.cpp

moc_curvearrow.o: moc_curvearrow.cpp \
		curvearrow.h 

moc_curvearrow.cpp: curvearrow.h
	$(MOC) curvearrow.h -o moc_curvearrow.cpp

moc_bracket.o: moc_bracket.cpp \
		bracket.h 

moc_bracket.cpp: bracket.h
	$(MOC) bracket.h -o moc_bracket.cpp

moc_manual.o: moc_manual.cpp \
		manual.h 

moc_manual.cpp: manual.h
	$(MOC) manual.h -o moc_manual.cpp

moc_ringdialog.o: moc_ringdialog.cpp \
		ringdialog.h 

moc_ringdialog.cpp: ringdialog.h
	$(MOC) ringdialog.h -o moc_ringdialog.cpp

moc_netdialog.o: moc_netdialog.cpp \
		netdialog.h

moc_netdialog.cpp: netdialog.h
	$(MOC) netdialog.h -o moc_netdialog.cpp

moc_netchoosedialog.o: moc_netchoosedialog.cpp \
		netchoosedialog.h 

moc_netchoosedialog.cpp: netchoosedialog.h
	$(MOC) netchoosedialog.h -o moc_netchoosedialog.cpp

moc_netaccess.o: moc_netaccess.cpp \
		netaccess.h 

moc_netaccess.cpp: netaccess.h
	$(MOC) netaccess.h -o moc_netaccess.cpp

moc_pagesetupdialog.o: moc_pagesetupdialog.cpp \
		pagesetupdialog.h 

moc_pagesetupdialog.cpp: pagesetupdialog.h
	$(MOC) pagesetupdialog.h -o moc_pagesetupdialog.cpp

moc_fixeddialog.o: moc_fixeddialog.cpp \
		fixeddialog.h 

moc_fixeddialog.cpp: fixeddialog.h
	$(MOC) fixeddialog.h -o moc_fixeddialog.cpp

moc_graphdialog.o: moc_graphdialog.cpp \
		graphdialog.h 

moc_graphdialog.cpp: graphdialog.h
	$(MOC) graphdialog.h -o moc_graphdialog.cpp

moc_graphwidget.o: moc_graphwidget.cpp \
		graphwidget.h 

moc_graphwidget.cpp: graphwidget.h
	$(MOC) graphwidget.h -o moc_graphwidget.cpp

moc_symbol.o: moc_symbol.cpp \
		symbol.h 

moc_symbol.cpp: symbol.h
	$(MOC) symbol.h -o moc_symbol.cpp

moc_xdc_toolbutton.o: moc_xdc_toolbutton.cpp \
		xdc_toolbutton.h 

moc_xdc_toolbutton.cpp: xdc_toolbutton.h
	$(MOC) xdc_toolbutton.h -o moc_xdc_toolbutton.cpp

moc_smilesdialog.o: moc_smilesdialog.cpp \
		smilesdialog.h 

moc_smilesdialog.cpp: smilesdialog.h
	$(MOC) smilesdialog.h -o moc_smilesdialog.cpp

moc_http.o: moc_http.cpp \
		http.h 

moc_http.cpp: http.h
	$(MOC) http.h -o moc_http.cpp

## xdrawchem 1.10.2.1

=== debian/changelog ===
xdrawchem (1:1.10.2.1-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:29:05 +0100

xdrawchem (1:1.10.2.1-3) unstable; urgency=medium

  [ Andrius Merkys ]
  * Non-maintainer upload.
  * Porting to Open Babel 3.

  [ Georges Khaznadar ]
  * Merged Andrius Merkys' patches, and updated the repository in
    salsa.debian.org

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 14 Jan 2020 18:29:55 +0100

xdrawchem (1:1.10.2.1-2) unstable; urgency=medium

  * updated Standards-Version and dh level
  * moved the file d/source/README.Debian to d/README.Source
    Closes: #917952
  * simplified d/copyright, removed a duplicate license definition, and
    a file name not in the source package
  * added an override in d/rules to avoid distributing more copies of GPL.txt

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 01 Jan 2019 16:30:37 +0100

xdrawchem (1:1.10.2.1-1) unstable; urgency=medium

  * New upstream release
  * created d/watch file and d/get-newest-source.sh to repackage
    the source, in order to keep only the subdirectory xdrawchem-qt5/
    which is the only one maintained now.
  * simplified d/rules
    

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 23 Oct 2017 19:10:29 +0200

xdrawchem (2.0-6) unstable; urgency=medium

  * modified d/rules and created d/xdrawchem.install; Closes: #841599

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Nov 2016 17:15:51 +0100

xdrawchem (2.0-5) unstable; urgency=medium

  * prepared for GCC6: patched xdrawchem/molecule_obmol.cpp,
    checked the compilation with QT_CXX = g++-6. Closes: #811675
  * upgraded Standards-Version to 3.9.8

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 30 Jun 2016 12:26:08 +0200

xdrawchem (2.0-4) unstable; urgency=medium

  * added a very simple desktop file. Closes: #708578
  * included Frans Spiesschaert's po file. Closes: #794801

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 18 Feb 2016 13:46:17 +0100

xdrawchem (2.0-3) unstable; urgency=medium

  * changed my DEBEMAIL
  * applied Martin Steghöfer's patch: Closes: #763037
  * updated debhelper's b-dependency to 9, Standards-Version to 3.9.5
  * stripped trailing white spaces in this file
  * removed extra-license-files
  * activated dpkg-buildflags to harden the code
  * fixed short names with spaces from d/copyright

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 05 Oct 2014 18:30:38 +0200

xdrawchem (2.0-2) unstable; urgency=low

  * applied Cyril Brulebois' patch. Closes: #667420
  * upgraded Standards-Version to 3.9.3
  * made a versioned build-dependency on bash

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 17 May 2012 13:45:06 +0000

xdrawchem (2.0-1) unstable; urgency=low

  * upgraded to the SVN subdir xdrawchem-qt4 published 3 years ago.
    it builds a release based on qt4. Closes: #604390
  * changed the reference "/usr/local/share/xdrawchem2" to
    /usr/share/xdrawchem2
  * changed the announced version number to 2.0, in order to distinguish
    this release from non-qt4 builds
  * fixed configure: changed qmake4 to qmake-qt4
  * changed the target xdrawchem2 to xdrawchem in xdrawchem.pro
  * enforced the use of bash in configure

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 07 May 2011 19:31:30 +0200

xdrawchem (1.99.1+svn20110402-1) unstable; urgency=low

  * upgraded to a new upstream version which implements the use of
    Qt4

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 03 Apr 2011 00:43:40 +0200

xdrawchem (1.9.9-6) unstable; urgency=low

  * modified the source to make them compatible with Qt4.
  * lauched am2cmake, removed Makefile.am, automoc, autoscan* and config*,
    etc. files
  * modified CMakeLists.txt to define subdirs, and other CMakeLists.txt
    in subdiretories to define install paths
  * hacked many Qt3 former definitions
  * removed direct integration of XPM files in the application source

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 26 Feb 2011 13:50:46 +0100

xdrawchem (1.9.9-5) unstable; urgency=low

  * fixed the segfault when saving an empty data. Closes: #379391
  * applied Daniel Leidert's patch. Closes: #405131
  * tried to reproduce the bug described by Robert Lemmen (at version 1.7.4),
    entered the SMILES string "nh4" without triggering a segfault.
    LI Daobing considered already this as non-reproducible since version
    1.9.9-3. Closes: #215409
  * removed the build dependency on libqt3-compat-headers. Closes: #464921
  * the change in debian/menu already done ... Closes: #482934

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 02 Feb 2011 22:16:59 +0100

xdrawchem (1.9.9-4.2) unstable; urgency=low

  * adopted the package: Closes #513160
  * the build can be done with the current version of libqt4-dev, changed the
    Conflicts: to libqt4-dev (<< 4:4.6.3-4)
  * upgraded Standards-Version to 3.9.1
  * added a missing "#include <stdlib.h>" in molinfodialog.cpp
  * added debian/README.source
  * added a "${misc:Depends}" into debian/changelog
  * wrote 7 into debian/compat
  * removed the "-1 dependencies" from debian/control
  * added a test to check Makefile before launching a make
  * changed the layout of debian/copyright added e-mail addresses of
    the authors
  * removed some "generic" words coming from the template in README.debian
    and fixed a typo in the same file.
  * changed Apps/Science to Applications/Science/Chemistry in debian/menu

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 01 Feb 2011 23:17:43 +0100

xdrawchem (1.9.9-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/04_shellescape.dpatch:
    - Fix location of patched files (Closes: #560527).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 14 Jul 2010 14:59:08 +0000

xdrawchem (1.9.9-4) unstable; urgency=low

  [ Li Daobing ]
  * debian/xdrawchem.desktop: fix warning for desktop-file-validate.
  * FTBFS with GCC 4.3: missing #includes (Closes: #417776)


=== debian/control ===
Source: xdrawchem
Section: science
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 11),
 qt5-qmake, qtbase5-dev, qtbase5-dev-tools,
 libopenbabel-dev (>= 3.0.0)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/georgesk/xdrawchem
Vcs-Git: https://salsa.debian.org/georgesk/xdrawchem.git

Package: xdrawchem
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Chemical structures and reactions editor
 Xdrawchem is a 2D editor for chemical structures and reactions.  It 
 mirrors the abilities of the commercial ChemDraw suite and has file 
 compatibility with it as well as other chemical formats through 
 OpenBabel.

=== debian/watch ===
version=4

opts=uversionmangle=s/v?(\d\S+)-(\d+)/$1.$2/ \
https://github.com/bryanherger/xdrawchem/tags \
   /bryanherger/xdrawchem/archive/(.*)\.tar\.gz \
 debian /bin/sh debian/get-newest-source.sh

## xdrawchem 1.11.0

=== debian/changelog ===
xdrawchem (1:1.11.0-5) unstable; urgency=medium

  * fixed the watch file, with searchmode=plain
  * bumped Standards-Version: 4.7.0
  * removed the version constrint for the dependency libopenbabel-dev

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 10 May 2024 16:54:29 +0200

xdrawchem (1:1.11.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 19:47:36 +0100

xdrawchem (1:1.11.0-3) unstable; urgency=medium

  * added a desktop file and a logo. Closes: #986945
  * removed debian/menu

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 19:46:20 +0100

xdrawchem (1:1.11.0-2) unstable; urgency=medium

  * taken in account Andrius Merkys' hints about documenting the new
    decision to rebase the package on the fork
    https://gitlab.com/yamanq/xdrawchem; Closes: #979215

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 06 Jan 2021 19:44:40 +0100

xdrawchem (1:1.11.0-1) unstable; urgency=medium

  * rebased the watch file to point to https://gitlab.com/yamanq/xdrawchem
  * New upstream version 1.11.0
  * made a build dependency on debhelper-compat (= 12)
  * added a build dependency on libqt5svg5-dev
  * removed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 14 Aug 2020 17:07:11 +0200

=== debian/control ===
Source: xdrawchem
Section: science
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper-compat (= 13),
 qt5-qmake,
 qtbase5-dev,
 qtbase5-dev-tools,
 libqt5svg5-dev,
 libopenbabel-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/georgesk/xdrawchem
Vcs-Git: https://salsa.debian.org/georgesk/xdrawchem.git

Package: xdrawchem
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Chemical structures and reactions editor
 Xdrawchem is a 2D editor for chemical structures and reactions.  It
 mirrors the abilities of the commercial ChemDraw suite and has file
 compatibility with it as well as other chemical formats through
 OpenBabel.
 .
 This packaged version comes from a fork available at
 https://gitlab.com/yamanq/xdrawchem, as the previous version was no
 longer actively maintained. More information about it in the copyright
 file.

=== debian/watch ===
version=4

opts="uversionmangle=s/v?(\d\S+)/$1/,searchmode=plain" \
    https://gitlab.com/yamanq/xdrawchem/-/tags \
    .*/yamanq/xdrawchem/-/archive/v(\d\S*)/.*\.tar\.gz

## xdrawchem 1.11.1

=== debian/changelog ===
xdrawchem (1:1.11.1-2) unstable; urgency=medium

  * fixed the watch file

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 15 Nov 2024 17:55:13 +0100

xdrawchem (1:1.11.1-1) unstable; urgency=medium

  * fixed the watch file
  * New upstream version 1.11.1
  * added a build dependency on pkgconf. Closes: #1074773

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 02 Jun 2024 17:54:45 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  qtbase5-dev,
  qtbase5-dev-tools,
  libqt5svg5-dev,
- libopenbabel-dev
+ libopenbabel-dev,
+ pkgconf,
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/georgesk/xdrawchem
 Vcs-Git: https://salsa.debian.org/georgesk/xdrawchem.git

=== debian/watch ===
version=4

# Gitlab
version=4
opts="searchmode=plain" \
 https://gitlab.com/yamanq/@PACKAGE@/tags?sort=updated_desc \
 -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## xdrawchem 2.0

=== CMakeLists.txt ===
project(xdrawchem)

set( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

set(CMAKE_VERBOSE_MAKEFILE ON)
set( CMAKE_COLOR_MAKEFILE ON )

SET(QT_USE_QT3SUPPORT TRUE)
SET(QT_USE_QTNETWORK TRUE)
SET(QT_USE_QTXML TRUE)

find_package( Qt4 REQUIRED )
find_package( Openbabel REQUIRED )

CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

add_subdirectory( xdrawchem )
add_subdirectory( ring )
add_subdirectory( translation )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${LIBOPENBABEL_INCLUDE_DIR} ${QT_INCLUDES}  )

########### install files ###############




#original Makefile.am contents follow:

### Makefile.am -- Process this file with automake to produce Makefile.in
#
### SUBDIRS lists the directories that make will descend into.
### Note: this list needs to be synchronized with "configure.in"
#
#dist-hook:
#	-perl automoc
#
#SUBDIRS = @MY_SUBDIRS@
#
### EXTRA_DIST contains the files automake does not know about, that need to go
### in the distribution. Note that scripts are not distributed by default.
#
#EXTRA_DIST =
#
#AUTOMAKE_OPTIONS = foreign
###AUTOMAKE_OPTIONS = foreign dist-bzip2
#
#install-data-local: $(EXTRA_DIST)
#	@$(NORMAL_INSTALL)
#	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)
#	@list='$(EXTRA_DIST)'; for p in $$list; do \
#	  dir=`echo "$$p" | sed -e 's,/[^/]*$$,,'`; \
#	  if test "$$dir" != "$$p" && test "$$dir" != "."; then \
#	    $(mkinstalldirs) "$(DESTDIR)$(pkgdatadir)/$$dir"; \
#	  fi; \
#	  f="`echo $$p|sed '$(transform)'`"; \
#	  if test -f $$p; then \
#	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(pkgdatadir)/$$f"; \
#	    $(INSTALL_DATA) $$p $(DESTDIR)$(pkgdatadir)/$$f; \
#	  elif test -f $(srcdir)/$$p; then \
#	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(pkgdatadir)/$$f"; \
#	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(pkgdatadir)/$$f; \
#	  else :; fi; \
#	done
#
#uninstall-local:
#	@$(NORMAL_UNINSTALL)
#	@list='$(EXTRA_DIST)'; for p in $$list; do \
#	  f="`echo $$p|sed '$(transform)'`"; \
#	  echo " rm -f $(DESTDIR)$(pkgdatadir)/$$f"; \
#	  rm -f $(DESTDIR)$(pkgdatadir)/$$f; \
#	done
#
#libtool: $(LIBTOOL_DEPS)
#	$(SHELL) ./config.status --recheck

=== xdrawchem/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${LIBOPENBABEL_INCLUDE_DIR} ${QT_INCLUDES}  )


add_definitions( ${QT_DEFINITIONS} -DQT3_SUPPORT -DQT_NO_STL -D_REENTRANT -DQT3_SUPPORT_WARNINGS -DRINGHOME='"/usr/local"' -DUNIX )

########### next target ###############

QT4_GENERATE_MOC(application.h application.moc)
QT4_GENERATE_MOC(arrow.h arrow.moc)
QT4_GENERATE_MOC(bondedit.h bondedit.moc)
QT4_GENERATE_MOC(charsel.h charsel.moc)
QT4_GENERATE_MOC(chemdata.h chemdata.moc)
QT4_GENERATE_MOC(crings_dialog.h crings_dialog.moc)
QT4_GENERATE_MOC(drawable.h drawable.moc)
QT4_GENERATE_MOC(dyk.h dyk.moc)
QT4_GENERATE_MOC(fixeddialog.h fixeddialog.moc)
QT4_GENERATE_MOC(graphdialog.h graphdialog.moc)
QT4_GENERATE_MOC(graphwidget.h graphwidget.moc)
QT4_GENERATE_MOC(helpwindow.h helpwindow.moc)
QT4_GENERATE_MOC(molinfodialog.h molinfodialog.moc)
QT4_GENERATE_MOC(netaccess.h netaccess.moc)
QT4_GENERATE_MOC(netchoosedialog.h netchoosedialog.moc)
QT4_GENERATE_MOC(ngw.h ngw.moc)
QT4_GENERATE_MOC(pagesetupdialog.h pagesetupdialog.moc)
QT4_GENERATE_MOC(peptidebuilder.h peptidebuilder.moc)
QT4_GENERATE_MOC(render2d.h render2d.moc)
QT4_GENERATE_MOC(renderarea.h renderarea.moc)
QT4_GENERATE_MOC(ringdialog.h ringdialog.moc)
QT4_GENERATE_MOC(textshapedialog.h textshapedialog.moc)
QT4_GENERATE_MOC(tooldialog.h tooldialog.moc)
QT4_GENERATE_MOC(xruler.h xruler.moc)

SET(xdrawchem_SRCS
application.cpp
application_ring.cpp
arrow.cpp
biotools.cpp
bond.cpp
bondedit.cpp
boshcp.cpp
bracket.cpp
cdx2cdxml.cpp
cdxml_reader.cpp
charsel.cpp
chemdata.cpp
chemdata_cdx.cpp
chemdata_cdxml.cpp
chemdata_cml.cpp
chemdata_edit.cpp
chemdata_mdl.cpp
chemdata_rw.cpp
chemdata_rxn.cpp
chemdata_tools.cpp
chemdata_xdc.cpp
chemdata_xml.cpp
crings_dialog.cpp
curvearrow.cpp
drawable.cpp
fixeddialog.cpp
graphdialog.cpp
graphwidget.cpp
helpwindow.cpp
main.cpp
molecule.cpp
molecule_1h_nmr.cpp
molecule_smiles.cpp
molecule_sssr.cpp
molecule_tools_1.cpp
molecule_tools_2.cpp
molinfodialog.cpp
myfiledialog.cpp
netaccess.cpp
netchoosedialog.cpp
netdialog.cpp
pagesetupdialog.cpp
peptidebuilder.cpp
previewwidget.cpp
render2d.cpp
render2d_draw.cpp
render2d_event.cpp
render2d_print.cpp
render2d_select.cpp
render2d_text.cpp
renderarea.cpp
ringdialog.cpp
smilesdialog.cpp
symbol.cpp
text.cpp
textshapedialog.cpp
to3d.cpp
xml_cml.cpp
xml_reader.cpp
ioiface.cpp
application_ob.cpp
chemdata_event.cpp
molecule_obmol.cpp
tooldialog.cpp
ngw.cpp
tool_1h_nmr.cpp
tool_13c_nmr.cpp
tool_ir.cpp
gobject.cpp
tool_2d3d.cpp
xruler.cpp
dyk.cpp
retro.cpp
)

#KDE4_AUTOMOC(${xdrawchem_SRCS})

ADD_EXECUTABLE(xdrawchem ${xdrawchem_SRCS})

TARGET_LINK_LIBRARIES(xdrawchem
${QT_QTCORE_LIBRARY}
 ${QT_QTGUI_LIBRARY}
 ${QT_QTNETWORK_LIBRARY}
 ${QT_QT3SUPPORT_LIBRARY}
${QT_QTXML_LIBRARY}
${LIBOPENBABEL_LIBRARIES}
)

INSTALL_TARGETS(/bin xdrawchem )


########### install files ###############

=== debian/control ===
Source: xdrawchem
Section: science
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 9), quilt, bash (>= 4.0), pkg-config,
 libqt4-dev, kdelibs5-dev,
 libopenbabel-dev (>= 2.0.0)
Standards-Version: 3.9.8

Package: xdrawchem
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Chemical structures and reactions editor
 Xdrawchem is a 2D editor for chemical structures and reactions.  It 
 mirrors the abilities of the commercial ChemDraw suite and has file 
 compatibility with it as well as other chemical formats through 
 OpenBabel.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_clean:
	dh_auto_clean
	rm -f config.mak
	# remove extra license files
	find . -name GPL.txt -exec rm {} \;

override_dh_auto_install:
	# just let xdrawchem.install make this work
	# dh_auto_install
